Bug 102191 - CAN-2002-1323 SAFE.pm compartment issue
CAN-2002-1323 SAFE.pm compartment issue
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: perl (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
http://cve.mitre.org/cgi-bin/cvename....
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-12 09:22 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-22 04:46:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-08-12 09:22:33 EDT
Safe.pm 2.0.7 and earlier, when used in Perl 5.8.0 and
earlier, may allow attackers to break out of safe compartments
in (1) Safe::reval or (2) Safe::rdo using a redefined @_
variable, which is not reset between successive calls.
Comment 1 Mark J. Cox (Product Security) 2003-08-12 09:22:49 EDT
errata in progress
Comment 2 Mark J. Cox (Product Security) 2003-09-22 04:46:53 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-257.html

Note You need to log in before you can comment on or make changes to this bug.